article, .h-entry, .spacing, p, h1, h2, h3, footer, summary, details, span {
  isolation: isolate;
}

article a {
  color: var(--dark);
}

body {
  --day: #fffdfa;
  --evening: #fccc83;
  --dusk: #db7a2a;
  --night: #0f131c;
  --dawn: #16132b;
  --morning: #9fb3bf;


  --light: var(--day);
  --dark: var(--night);
  --shadow: #1a1917;
  --bounce-light: #f5d7a6;
  --sun-shadow-color: rgba(26, 25, 23, 0.125);

  --timing-fn: cubic-bezier(0.455, 0.190, 0.000, 0.985);

  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  background-color: var(--light);

  animation-duration: 0s;
  animation-fill-mode: forwards;
  animation-timing-function: linear;
}

body.animation-ready {
  animation-play-state: running;
  animation-duration: 2s;
  animation-name: sunrise;
}

@keyframes sunrise {
  0% {
    background-color: var(--day);
  }
  
  60% {
    background-color: var(--morning);
  }

  100% {
    background-color: var(--day);
  }
}

@keyframes blinds-open {
  0% {
    gap: 50px;
  }
  
  60% {
    gap: 60px;
  }

  100% {
    gap: 50px;
  }
}

@keyframes shutters-move {
  0% {
    height: 40px;
  }
  
  60% {
    height: 60px;
  }

  100% {
    height: 40px;
  }
}

#dappled-light {
  pointer-events: none;
  top: 0;
  right: 0;
  position: fixed;
  height: 100dvh;
  width: 100dvw;
}

#progressive-blur {
  position: absolute;
  height: 100%;
  width: 100%;
}

#progressive-blur>div {
  position: absolute;
  height: 100%;
  width: 100%;
  inset: 0;
  backdrop-filter: blur(var(--blur-amount));
  mask-image: linear-gradient(252deg, transparent, transparent var(--stop1), black var(--stop2), black);
}

#progressive-blur>div:nth-child(1) {
  --blur-amount: 6px;
  --stop1: 0%;
  --stop2: 0%;
}

#progressive-blur>div:nth-child(2) {
  --blur-amount: 12px;
  --stop1: 40%;
  --stop2: 80%;
}

#progressive-blur>div:nth-child(3) {
  --blur-amount: 48px;
  --stop1: 40%;
  --stop2: 70%;
}

#progressive-blur>div:nth-child(4) {
  --blur-amount: 96px;
  --stop1: 70%;
  --stop2: 80%;
}

#glow {
  position: absolute;
  background: linear-gradient(309deg, var(--bounce-light), var(--bounce-light) 20%, transparent);
  transition: background 1.0s var(--timing-fn);
  height: 100%;
  width: 100%;
  opacity: 0.5;
}

#glow-bounce {
  content: "";
  position: absolute;
  background: linear-gradient(355deg, var(--bounce-light) 0%, transparent 30%, transparent 100%);
  transition: background 1.0s var(--timing-fn);
  opacity: 0.5;
  height: 100%;
  width: 100%;
  bottom: 0;
}

.perspective {
  position: absolute;
  transition: transform 1.7s var(--timing-fn), opacity 4s ease;
  top: -30vh;
  right: 0;
  width: 80vw;
  height: 130vh;
  opacity: 0.07;
  background-blend-mode: darken;
  transform-origin: top right;
  transform-style: preserve-3d;
  transform: matrix3d(0.7500, -0.0625, 0.0000, 0.0008,
      0.0000, 1.0000, 0.0000, 0.0000,
      0.0000, 0.0000, 1.0000, 0.0000,
      0.0000, 0.0000, 0.0000, 1.0000);
}

#blinds {
  position: relative;
  width: 100%;
}

#blinds .shutter,
#blinds .bar {
  background-color: var(--shadow);
}

#blinds > .shutters {
  display: flex;
  flex-direction: column;
  align-items: end;

  /* Morning starting state */
  gap: 60px;

  animation: blinds-open 2s var(--timing-fn) forwards;
}

.shutter {
  width: 100%;

  /* Morning starting state */
  height: 80px;

  animation: shutters-move 2s var(--timing-fn) forwards;
}

article, .h-entry, .spacing, p, h1, h2, h3, footer, summary, details, span {
  color: var(--dark);
  animation: text-sun-shadow 2s var(--timing-fn) forwards;
}

@keyframes text-sun-shadow {
  0% {
    text-shadow: 
      -4px 2px 2px var(--sun-shadow-color),
      -8px 4px 4px var(--sun-shadow-color),
      -12px 6px 6px var(--sun-shadow-color);
  }
  60% {
    text-shadow: 
      -2px 2px 3px var(--sun-shadow-color),
      -4px 4px 6px var(--sun-shadow-color),
      -6px 6px 10px var(--sun-shadow-color);
  }
  100% {
    text-shadow: 
      -4px 2px 2px var(--sun-shadow-color),
      -8px 4px 4px var(--sun-shadow-color),
      -12px 6px 6px var(--sun-shadow-color);
  }
}

img {
  box-shadow: 
      -2px 2px 3px var(--sun-shadow-color),
      -4px 4px 6px var(--sun-shadow-color),
      -6px 6px 10px var(--sun-shadow-color);
}